var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconAudioCycleComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-audio-cycle").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 26 26" }, rest, { ref: ref }),
        React.createElement("path", { d: "M13 0c7.21 0 13 5.79 13 13s-5.79 13-13 13S0 20.21 0 13 5.79 0 13 0ZM8.042 7.575a.466.466 0 0 0-.466.467v3.208c0 .4.309.728.701.757h.007l.05.002h3.208c.257 0 .467-.21.467-.467v-.583a.467.467 0 0 0-.467-.467h-1.54a3.909 3.909 0 1 1-.69 3.803.45.45 0 0 0-.421-.303H8.21a.426.426 0 0 0-.414.543 5.425 5.425 0 1 0 1.296-5.297V8.042a.467.467 0 0 0-.466-.467h-.584ZM8.917 9.7l.175-.205.009-.009c-.063.07-.125.141-.184.214Z" }));
}
var IconAudioCycle = React.forwardRef(IconAudioCycleComponent);
export default IconAudioCycle;
